#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#

from cmk.gui.i18n import _

from cmk.gui.plugins.metrics.utils import (
    metric_info,
    graph_info,
    perfometer_info,
)

metric_info['checkpoint_asg_resource_percent_used'] = {
    'title': _('Used'),
    'unit': '%',
    'color': '26/a',
}

graph_info['checkpoint_asg_resource_connections'] = {
    'title': _('Check Point SMO Concurrent Connections'),
    'metrics': [
        ('checkpoint_asg_resource_percent_used', 'area'),
    ],
    'scalars': [
        ('checkpoint_asg_resource_percent_used:crit', _('crit')),
        ('checkpoint_asg_resource_percent_used:warn', _('warn')),
    ],
    'range': (0, 110),
}

perfometer_info.append({
    'type': 'linear',
    'segments': ['checkpoint_asg_resource_percent_used'],
    'total': 100,
})
